from pyrogram import Client, filters, idle
from pyrogram.handlers import MessageHandler

from src.core.settings.base import settings
from src.core.tg_service.messages_handler import message_listener
from src.core.rabbitmq.connect import broker, init_queue_and_publisher

api_id = 17718565
api_hash = "72f93973f4227415572f039d4f847082"

app = Client(
    name="advatroniks",
    api_id=api_id,
    api_hash=api_hash,
)

app.add_handler(MessageHandler(
    callback=message_listener,
    filters=filters.all
))

async def main():
    await app.start()
    await broker.start()
    await init_queue_and_publisher()
    await idle()
    await app.stop()

app.run(main())